# Generated by Django 3.2.7 on 2021-12-30 12:32

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('greenLab', '0009_rename_arduino_actuador_controlador'),
    ]

    operations = [
        migrations.CreateModel(
            name='EstadoAmbiente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('temperaturaExterior', models.FloatField(default='0', max_length=3)),
                ('humedadInterior', models.IntegerField(default='0', max_length=3)),
                ('humedadExterior', models.IntegerField(default='0', max_length=3)),
                ('luminosidadInterior', models.IntegerField(default='0', max_length=5)),
                ('co2', models.IntegerField(default='0', max_length=5)),
                ('amoniaco', models.FloatField(default='0')),
                ('co', models.FloatField(default='0')),
                ('no2', models.FloatField(default='0')),
                ('propano', models.FloatField(default='0')),
                ('butano', models.FloatField(default='0')),
                ('metano', models.FloatField(default='0')),
                ('hidrogeno', models.FloatField(default='0')),
                ('etanol', models.FloatField(default='0')),
                ('distancia', models.IntegerField(default='0', max_length=5)),
                ('puerta', models.IntegerField(default='0', max_length=1)),
                ('nitrogeno', models.IntegerField(default='0', max_length=5)),
                ('fosforo', models.IntegerField(default='0', max_length=5)),
                ('potacio', models.IntegerField(default='0', max_length=5)),
                ('irms', models.FloatField(default='0')),
                ('potencia', models.FloatField(default='0')),
                ('ph', models.FloatField(default='0')),
                ('nivelAgua', models.IntegerField(default='0', max_length=5)),
                ('imagen', models.CharField(default='abstract', max_length=100)),
                ('caloDerecho', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('caloIzquierdo', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('frioDerecho', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('frioIzquierdo', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('luzDerecha', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('luzIzquierda', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('luzCentral', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('ventilacionDerecha', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('ventilacionIzquierda', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('bombaAgua', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('peristalticaAcido', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('peristalticaBase', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('peristalticaNitro', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('peristalticaPota', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('peristalticaFosf', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
                ('camara', models.IntegerField(choices=[(1, 'ON'), (0, 'OFF')], default=0)),
            ],
            options={
                'verbose_name': 'Estado Ambiente',
                'verbose_name_plural': 'Estados Ambiente',
            },
        ),
    ]
